Status: Closed Start date: 08 Oct 2019

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Improving Estimated time: 0.00 hour

Target version: CoCoALib-0.99650 November 2019 Spent time: 2.70 hours

Description

Making a quotient ring is often tedious.  In CoCoA-5 we need to write (the best we can do):

 QQy ::= QQ[y];

 R := NewQuotientRing(QQy, ideal(RingElem(QQy,"y^2-5")));

Consider the syntax:

R := NewQuotientRing(NewPolyRing(QQ,"a,i"), "a^2-5, i^2+1");

where the string is automatically read as an ideal in the base ring.

(similar syntax for PolyAlgebraHom)

Related issues:

Related to CoCoA-5 - Design #1327: Inconvenient PolyRingHom, PolyAlgebraHom Closed 07 Oct 2019

Related to CoCoALib - Feature #1332: New function: vector of RingElem from st... Closed 08 Oct 2019

Related to CoCoA-5 - Feature #1003: New syntax for creating poly rings? In Progress 27 Jan 2017

Related to CoCoALib - Feature #1485: Simple syntax for making a quotient ring? New 14 Sep 2020

History

#1 - 08 Oct 2019 12:20 - Anna Maria Bigatti

- Related to Design #1327: Inconvenient PolyRingHom, PolyAlgebraHom added

#2 - 08 Oct 2019 12:21 - Anna Maria Bigatti

- Subject changed from New syntax for creating QuotienRing to New syntax for creating QuotientRing

#3 - 08 Oct 2019 14:41 - Anna Maria Bigatti

- Target version set to CoCoALib-0.99700

- % Done changed from 10 to 50

Implemented in CoCoALib, passed to CoCoA-5

For the moment, only for principal ideal

/**/  S := NewQuotientRing(NewPolyRing(QQ, "x,y,z"), "x-3");  -- string shortcut

/**/  use S;

/**/  (x+y)^2;

(y^2 +6*y +9)
#4 - 08 Oct 2019 14:44 - Anna Maria Bigatti

- Description updated

#5 - 08 Oct 2019 14:46 - Anna Maria Bigatti

- Description updated

#6 - 08 Oct 2019 15:04 - Anna Maria Bigatti

documented, cvs-ed.

#7 - 08 Oct 2019 15:50 - Anna Maria Bigatti

- Related to Feature #1332: New function: vector of RingElem from string -- in CoCoALib added

#8 - 09 Oct 2019 17:48 - Anna Maria Bigatti

- Related to Feature #1243: New function: Read a string into a list (of RingElem) -- CoCoA-5 added

#9 - 09 Oct 2019 17:50 - Anna Maria Bigatti

- Related to deleted (Feature #1243: New function: Read a string into a list (of RingElem) -- CoCoA-5)

#10 - 09 Oct 2019 18:22 - Anna Maria Bigatti

- Description updated

- Status changed from In Progress to Resolved

Now also for non principal ideals

R := NewQuotientRing(NewPolyRing(QQ,"a,i"), "a^2-5, i^2+1");

/**/  use R;

/**/  (a+i)^2;

(2*a*i +4)

#11 - 10 Oct 2019 09:34 - Anna Maria Bigatti

- Assignee set to Anna Maria Bigatti

- Target version changed from CoCoALib-0.99700 to CoCoALib-0.99650 November 2019

- % Done changed from 50 to 80

#12 - 10 Oct 2019 09:51 - Anna Maria Bigatti

- Description updated

#13 - 10 Oct 2019 09:55 - Anna Maria Bigatti

reminder: write doc for cocoalib

#14 - 10 Oct 2019 18:35 - Anna Maria Bigatti

- Subject changed from New syntax for creating QuotientRing to New syntax for NewQuotientRing

#15 - 10 Oct 2019 18:40 - Anna Maria Bigatti

- Status changed from Resolved to Feedback
- % Done changed from 80 to 90

#16 - 15 Oct 2019 17:52 - Anna Maria Bigatti

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

#17 - 15 May 2020 10:39 - Anna Maria Bigatti

- Related to Feature #1003: New syntax for creating poly rings? added

#18 - 02 Jan 2024 11:19 - Anna Maria Bigatti

- Related to Feature #1485: Simple syntax for making a quotient ring? added
